<template>
    <div class="teams">
     <!--  <button
            class="btn btn-red" @click="onClick()">Download widget
        </button> -->
        <div class="team-one team-item">
            <div
                class="team-logo"
                :style="{
                 backgroundImage: teamLogo(teams[0])
                }"></div>
            <div class="team-name">{{ teams[0].name }}</div>
        </div>
        <div class="score">
            <div class="score-box">
                <div class="score-main" v-if="!score">
                    - : -
                </div>
                <div v-else-if="(isPlay == 3) || (isPlay == true)" class="score-main">
                    {{ score.team1 }} : {{ score.team2 }}
                </div>
                <div v-else class="score-main">
                    <span>{{ score.team1 }}</span> : <span>{{ score.team2 }}</span>
                </div>
                <!--                <div class="score-sub">( 3 : 2 )</div>-->
            </div>
            <div class="score-match-time flex aic jcc">
                <div class="date">{{ startDate }}</div>
                <div class="time">{{ startTime }}</div>
                <div v-if="isPlay == 3" class="finished">
                    <div class="finished-icon"></div>
                </div>
                <div v-else-if="isPlay == 2" class="finished">
                    <div class="finished-playing"></div>
                </div>
            </div>
        </div>
        <div class="team-two team-item">
            <div
                class="team-logo"
                :style="{
                    backgroundImage: teamLogo(teams[1])
                }"></div>
            <div class="team-name">{{ teams[1].name }}</div>
        </div>
    </div>
</template>

<script>
import moment from 'moment'
import {mapGetters, mapActions, mapMutations} from 'vuex'

export default {
    name: 'MatchTeams',
    props: {
        teams: {
            type: Array,
            required: true
        },
        scoreboard: {
            default: null,
            required: true,
        },
        startdate: {
            type: String,
            required: true
        },
        eventId: Number,
      /*  match: {
            type: [Array, Object],
            required: true
        },*/
        status_id:{
            type: Number,
            default: null
        }
    },
    data() {
        return {
            dateFormat: 'YYYY-MM-DDTHH:mm:ss',
        }
    },
    computed: {

        ...mapGetters(['headerClockTime', 'headerClockTimezoneOffset', 'headerClockDate']),
        score: function () {
            if (!this.scoreboard) return false
            if(Array.isArray(this.scoreboard.results)){
                return {
                    team1: this.scoreboard.results[0]['Value'],
                    team2: this.scoreboard.results[1]['Value']
                }
            }

            let splitted = this.scoreboard.results.split(':')
            return {
                team1: splitted[0],
                team2: splitted[1]
            }
        },


        isPlay: function () {
            if(!this.scoreboard) return true
            if(this.scoreboard.status_id === 2){
                return 2
            }
            if(this.scoreboard.status_id === 3){
                return 3
            }
        },
        startDate: function () {
            return moment(this.startdate, this.dateFormat).add(this.$store.getters.headerClockTimezoneOffset, 'h').format('ddd, DD MMM YYYY')
        },
        startTime: function () {
            return moment(this.startdate, this.dateFormat).add(this.$store.getters.headerClockTimezoneOffset, 'h').format('HH:mm')
        },
    },
    methods: {

        teamLogo(team) {
            if (team.image !== null) {
                return `url('${window.location.origin}/storage/${team.image}')`
            }
            if (team.team_image !== null) {
                return `url('${window.location.origin}/storage/${team.team_image}')`
            }
            return `url('${window.location.origin}/img/team_placeholder.svg')`;

        },
        onClick() {
            var widget = `
                <iframe src="https://jokerodds.com/widget-partners/1/${this.eventId}" width="809" height="53" frameBorder="0"></iframe>
                <iframe src="https://jokerodds.com/widget-partners/2/${this.eventId}" width="297" height="200" frameBorder="0"></iframe>
                <iframe src="https://jokerodds.com/widget-partners/3/0" width="188" height="30" frameBorder="0"></iframe>
                `;
            var fileURL = window.URL.createObjectURL(new Blob([widget]));
            var fileLink = document.createElement('a');

            fileLink.href = fileURL;
            fileLink.setAttribute('download', 'widgets.txt');
            document.body.appendChild(fileLink);

            fileLink.click();
        }
    },
    mounted(){
        window.Echo.channel(`jokerodds_database_presence-score-event.${this.eventId}`)
            .listen('ScoreUpdated', (response) => {
                this.$store.dispatch('updateScoreBoard',response.data);
                console.log('score-updated--',response.data);
            });
    },
    watch: {

            // this.$log.debug('this.bets', this.bets)
    },
    destroyed() {
        window.Echo.leave(`jokerodds_database_presence-score-event.${this.eventId}`)
    }
}
</script>
